Index: c/src/lib/libbsp/powerpc/mvme3100/i2c/mpc8540_i2c.c
===================================================================
--- c/src/lib/libbsp/powerpc/mvme3100/i2c/mpc8540_i2c.c	(revision 6c6a21c5132cda3c935b2c495f456c94ba6de165)
+++ c/src/lib/libbsp/powerpc/mvme3100/i2c/mpc8540_i2c.c	(revision 9b7631105c1b0434b3b67c2cdfc13dac70bfe3e1)
@@ -66,5 +66,5 @@
 #include "mpc8540_i2c_busdrv.h"
 
-#define STATIC
+#define STATIC static
 
 /* I2C controller register definitions */
Index: c/src/lib/libbsp/powerpc/mvme3100/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/mvme3100/include/bsp.h	(revision 6c6a21c5132cda3c935b2c495f456c94ba6de165)
+++ c/src/lib/libbsp/powerpc/mvme3100/include/bsp.h	(revision 9b7631105c1b0434b3b67c2cdfc13dac70bfe3e1)
@@ -8,5 +8,4 @@
 
 /*
- *
  *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
  *
@@ -19,4 +18,6 @@
 #ifndef _BSP_H
 #define _BSP_H
+
+#ifndef ASM
 
 #include <bspopts.h>
@@ -177,6 +178,5 @@
  *
  */
-int
-BSP_i2c_initialize();
+int BSP_i2c_initialize(void);
 
 /* System Control Register */
@@ -214,6 +214,5 @@
  *          to read the current status w/o modifying it.
  */
-uint8_t
-BSP_setSysReg(volatile uint8_t *r, uint8_t mask);
+uint8_t BSP_setSysReg(volatile uint8_t *r, uint8_t mask);
 
 /* Atomically clear bits in a sys-register; The bits set in 'mask'
@@ -227,6 +226,5 @@
  */
 
-uint8_t
-BSP_clrSysReg(volatile uint8_t *r, uint8_t mask);
+uint8_t BSP_clrSysReg(volatile uint8_t *r, uint8_t mask);
 
 /* Convenience wrappers around BSP_setSysReg()/BSP_clrSysReg() */
@@ -235,12 +233,10 @@
  * RETURNS: old status
  */
-uint8_t
-BSP_eeprom_write_protect();
+uint8_t BSP_eeprom_write_protect(void);
 
 /* Disengage write-protection for all EEPROM devices
  * RETURNS: old status
  */
-uint8_t
-BSP_eeprom_write_enable();
+uint8_t BSP_eeprom_write_enable(void);
 
 /* Set LEDs that have their bit set in the mask
@@ -252,6 +248,5 @@
  *          to read the current status w/o modifying it.
  */
-uint8_t
-BSP_setLEDs(uint8_t mask);
+uint8_t BSP_setLEDs(uint8_t mask);
 
 /* Clear LEDs that have their bit set in the mask
@@ -261,6 +256,5 @@
  * NOTE:  : see above (BSP_setLEDs)
  */
-uint8_t
-BSP_clrLEDs(uint8_t mask);
+uint8_t BSP_clrLEDs(uint8_t mask);
 
 #if 0
@@ -315,5 +309,5 @@
  */
 extern unsigned long _BSP_clear_hostbridge_errors(int enableMCP, int quiet);
-extern void BSP_motload_pci_fixup();
+extern void BSP_motload_pci_fixup(void);
 
 struct rtems_bsdnet_ifconfig;
@@ -324,4 +318,22 @@
 #define RTEMS_BSP_NETWORK_DRIVER_NAME   "tse1"
 #define RTEMS_BSP_NETWORK_DRIVER_ATTACH rtems_tsec_attach
+
+/*
+ * Prototypes for methods called only from .S for dependency tracking
+ */
+char *save_boot_params(
+  void *r3,
+  void *r4,
+  void *r5,
+  char *cmdline_start,
+  char *cmdline_end
+);
+void zero_bss(void);
+
+/*
+ * Prototypes for methods in the BSP that cross file boundaries
+ */
+extern void BSP_vme_config(void);
+extern void BSP_pciConfigDump_early( void );
 
 #ifdef __cplusplus
@@ -329,3 +341,5 @@
 #endif
 
+#endif /* !ASM */
+
 #endif
Index: c/src/lib/libbsp/powerpc/mvme3100/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/mvme3100/startup/bspstart.c	(revision 6c6a21c5132cda3c935b2c495f456c94ba6de165)
+++ c/src/lib/libbsp/powerpc/mvme3100/startup/bspstart.c	(revision 9b7631105c1b0434b3b67c2cdfc13dac70bfe3e1)
@@ -48,6 +48,4 @@
 
 extern unsigned long __rtems_end[];
-extern void          BSP_vme_config(void);
-extern void          BSP_pciConfigDump_early( void );
 extern unsigned      ppc_exc_lock_std, ppc_exc_gpr3_std;
 
@@ -124,12 +122,14 @@
  *  Use the shared implementations of the following routines
  */
-char * save_boot_params(
-  void* r3,
+char *save_boot_params(
+  void *r3,
   void *r4,
-  void* r5,
-  char *additional_boot_options)
-{
-
-  strncpy(cmdline_buf, additional_boot_options, CMDLINE_BUF_SIZE);
+  void *r5,
+  char *cmdline_start,
+  char *cmdline_end
+)
+{
+
+  strncpy(cmdline_buf, cmdline_start, CMDLINE_BUF_SIZE);
   cmdline_buf[CMDLINE_BUF_SIZE - 1] ='\0';
   return cmdline_buf;
Index: c/src/lib/libbsp/powerpc/mvme3100/vme/VMEConfig.h
===================================================================
--- c/src/lib/libbsp/powerpc/mvme3100/vme/VMEConfig.h	(revision 6c6a21c5132cda3c935b2c495f456c94ba6de165)
+++ c/src/lib/libbsp/powerpc/mvme3100/vme/VMEConfig.h	(revision 9b7631105c1b0434b3b67c2cdfc13dac70bfe3e1)
@@ -105,4 +105,7 @@
  */
 
+extern int BSP_VMEInit(void);
+extern int BSP_VMEIrqMgrInstall(void);
+
 /**
  *  @defgroup powerpc_vme BSP_VME_INSTALL_IRQ_MGR Support
@@ -112,5 +115,4 @@
  *  @brief BSP_VME_INSTALL_IRQ_MGR Support Package
  */
-
 #define BSP_VME_INSTALL_IRQ_MGR(err)    \
 	do {                                \
